## org.apache.lucene.queries.function.docvalues
Class StrDocValues

    java.lang.Object
      org.apache.lucene.queries.function.FunctionValues
          org.apache.lucene.queries.function.docvalues.StrDocValues

    public abstract class StrDocValues

extends FunctionValues

Abstract `FunctionValues` implementation which supports retrieving String values. Implementations can control how the String values are loaded through `strVal(int)`}

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues
`FunctionValues.ValueFiller`

Field Summary
`protected ValueSource` `vs`

Constructor Summary
`StrDocValues(ValueSource vs)`

Method Summary
`boolean` `boolVal(int doc)`
`FunctionValues.ValueFiller` `getValueFiller()`
`Object` `objectVal(int doc)` Native Java Object representation of the value
`abstract String` `strVal(int doc)`
`String` `toString(int doc)`

Methods inherited from class org.apache.lucene.queries.function.FunctionValues
`bytesVal, byteVal, byteVal, doubleVal, doubleVal, exists, explain, floatVal, floatVal, getRangeScorer, getScorer, intVal, intVal, longVal, longVal, numOrd, ordVal, shortVal, shortVal, strVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vs

    protected final ValueSource vs

Constructor Detail

### StrDocValues

    public StrDocValues(ValueSource vs)

Method Detail

### strVal

    public abstract String strVal(int doc)

  Overrides:
    `strVal` in class `FunctionValues`

### objectVal

    public Object objectVal(int doc)

  Description copied from class: `FunctionValues`
  Native Java Object representation of the value

  Overrides:
    `objectVal` in class `FunctionValues`

### boolVal

    public boolean boolVal(int doc)

  Overrides:
    `boolVal` in class `FunctionValues`

### toString

    public String toString(int doc)

  Specified by:
    `toString` in class `FunctionValues`

### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()

  Overrides:
    `getValueFiller` in class `FunctionValues`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.